Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class Validation

    java.lang.Object
      nl.liacs.subdisc.Validation

    public class Validation

extends java.lang.Object

Functionality related to the statistical validation of subgroups

Constructor Summary
`Validation(SearchParameters theSearchParameters, Table theTable, QualityMeasure theQualityMeasure)`

Method Summary
`double` | `computeEmpiricalPValue(double[] theQualities, SubgroupSet theSubgroupSet)`
`ConditionList` | `getRandomConditionList(int theDepth, java.util.Random theRandom)`
`double` | `performRegressionTest(double[] theQualities, int theK, SubgroupSet theSubgroupSet)`
`double[]` | `performRegressionTest(double[] theQualities, SubgroupSet theSubgroupSet)`
`double[]` | `randomConditions(int theNrRepetitions)` Generates a set of random descriptions of subgroups, by randomly combining random conditions on attributes in the table.
`double[]` | `randomSubgroups(int theNrRepetitions)`
`double[]` | `swapRandomization(int theNrRepetitions)` Swap randomizes the original `Table` and restores it to the original state afterwards.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validation

    public Validation(SearchParameters theSearchParameters,
                      Table theTable,
                      QualityMeasure theQualityMeasure)

Method Detail

### randomSubgroups

    public double[] randomSubgroups(int theNrRepetitions)

### randomConditions

    public double[] randomConditions(int theNrRepetitions)

  Generates a set of random descriptions of subgroups, by randomly combining random conditions on attributes in the table. The random descriptions adhere to the search parameters. For each of the subgroups related to the random conditions, the quality is computed.

  Returns:
    the computed qualities.

### swapRandomization

    public double[] swapRandomization(int theNrRepetitions)

  Swap randomizes the original `Table` and restores it to the original state afterwards.

  Parameters:
    `theNrRepetitions` - the number of times to perform a permutation of the `TargetConcept`.
  Returns:
    an array holding the qualities of the best scoring `Subgroup` of each permutation.

### performRegressionTest

    public double performRegressionTest(double[] theQualities,
                                        int theK,
                                        SubgroupSet theSubgroupSet)

### performRegressionTest

    public double[] performRegressionTest(double[] theQualities,
                                          SubgroupSet theSubgroupSet)

### computeEmpiricalPValue

    public double computeEmpiricalPValue(double[] theQualities,
                                         SubgroupSet theSubgroupSet)

### getRandomConditionList

    public ConditionList getRandomConditionList(int theDepth,
                                                java.util.Random theRandom)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD